# Interface ViewScope

interface ViewScope {
attachmentId ?: string;
highlightsListPreviousVisible ?: boolean;
highlightsListTemporarilyHidden ?: boolean;
readOnlyTemporarilyDisabled ?: boolean;
tocPreviousVisible ?: boolean;
tocTemporarilyHidden ?: boolean;
viewMode ?: string;
}

- Defined in src/public/app/services/link.ts:41

##### Index

### Properties

attachmentId?
highlightsListPreviousVisible?
highlightsListTemporarilyHidden?
readOnlyTemporarilyDisabled?
tocPreviousVisible?
tocTemporarilyHidden?
viewMode?

## Properties

### `Optional` attachmentId

attachmentId?: string

- Defined in src/public/app/services/link.ts:49

### `Optional` highlightsListPreviousVisible

highlightsListPreviousVisible?: boolean

- Defined in src/public/app/services/link.ts:51

### `Optional` highlightsListTemporarilyHidden

highlightsListTemporarilyHidden?: boolean

- Defined in src/public/app/services/link.ts:52

### `Optional` readOnlyTemporarilyDisabled

readOnlyTemporarilyDisabled?: boolean

- Defined in src/public/app/services/link.ts:50

### `Optional` tocPreviousVisible

tocPreviousVisible?: boolean

- Defined in src/public/app/services/link.ts:60

### `Optional` tocTemporarilyHidden

tocTemporarilyHidden?: boolean

- Defined in src/public/app/services/link.ts:53

### `Optional` viewMode

viewMode?: string

- "source", when viewing the source code of a note.
- "attachments", when viewing the attachments of a note.
- "contextual-help", if the current view represents a help window that was opened to the side of the main content.
- "default", otherwise.

- Defined in src/public/app/services/link.ts:48